activerecord-postgresql-adapter

Hello guys, here I am back with another problem

I want to run postgresql as db and I guess I installed all the required
gems

gem list

*** LOCAL GEMS ***

abstract (1.0.0)
actionmailer (3.0.0.beta3, 2.3.5)
actionpack (3.0.0.beta3, 2.3.5)
activemodel (3.0.0.beta3)
activerecord (3.0.0.beta3, 2.3.5)
activeresource (3.0.0.beta3, 2.3.5)
activesupport (3.0.0.beta3, 2.3.5)
arel (0.3.3, 0.2.pre)
authlogic (2.1.3)
builder (2.1.2)
bundler (0.9.25)
erubis (2.6.5)
ffi (0.6.3)
i18n (0.3.7)
mail (2.2.1, 2.1.5.3)
memcache-client (1.8.3, 1.7.8)
mime-types (1.16)
pg (0.9.0)
polyglot (0.3.1)
rack (1.1.0, 1.0.1)
rack-mount (0.6.3, 0.4.7, 0.4.0)
rack-test (0.5.3)
rails (3.0.0.beta3)
rails3b (3.0.1)
railties (3.0.0.beta3)
rake (0.8.7)
ruby-pg (0.7.9.2008.01.28)
rubygems-update (1.3.7)
sqlite3-ruby (1.2.5)
SystemTimer (1.2)
text-format (1.0.0)
text-hyphen (1.0.0)
thor (0.13.6)
treetop (1.4.5)
tzinfo (0.3.20)

Here is the runtime error I got after starting the server[under About
your application's environment] using command (~$rails server)

Please install the postgresql adapter: `gem install
activerecord-postgresql-adapter` (no such file to load -- pg)

I am on Rails 3 with Postgresql

Hello guys, here I am back with another problem

I want to run postgresql as db and I guess I installed all the required

gems

Not according to the error message :wink:

Here is the runtime error I got after starting the server[under About

your application’s environment] using command (~$rails server)

Please install the postgresql adapter: `gem install

activerecord-postgresql-adapter` (no such file to load – pg)

As a first step, try doing as instructed.
gem install
activerecord-postgresql-adapter

If that doesn’t work check back with more info.

Best regards,
Bill

Bill Walton wrote:

As a first step, try doing as instructed.
gem install activerecord-postgresql-adapter

If that doesn't work check back with more info.

Best regards,
Bill

Yup...I did the same thing but the msg is the gem can't be found in any
repository

So, I am back at the same point...

Had that problem before too. Sometimes it’s a firewall issue. Sometimes means the code’s been moved to github. Google the gem name and see what you come up with.

HTH,
Bill